Package com.evopdf

# Enum VerticalTextAlign

java.lang.Object
java.lang.Enum<VerticalTextAlign>
com.evopdf.VerticalTextAlign

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalTextAlign>`, `java.lang.constant.Constable`

public enum VerticalTextAlign extends Enum<VerticalTextAlign>
This enumeration contains the possible values of the vertical alignment of the text in PDF documents

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Bottom`
  Bottom aligned
  `Middle`
  Center aligned
  `Top`
  Top aligned

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VerticalTextAlign`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static VerticalTextAlign[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Top

    public static final VerticalTextAlign Top
    Top aligned

  - ### Middle

    public static final VerticalTextAlign Middle
    Center aligned

  - ### Bottom

    public static final VerticalTextAlign Bottom
    Bottom aligned

- ## Method Details

  - ### values

    public static VerticalTextAlign[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static VerticalTextAlign valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()